From 00f4d60cfff0c8fdb23777c5d8cc6ec30fd80974 Mon Sep 17 00:00:00 2001
From: Miroslav Vadkerti <mvadkert@redhat.com>
Date: Oct 23 2023 16:42:30 +0000
Subject: [PATCH 1/2] Draft: Onboard Zuul


Onboard testing via Zuul.

Signed-off-by: Miroslav Vadkerti <mvadkert@redhat.com>

---

diff --git a/.fmf/version b/.fmf/version
new file mode 100644
index 0000000..d00491f
--- /dev/null
+++ b/.fmf/version
@@ -0,0 +1 @@
+1
diff --git a/.zuul.yaml b/.zuul.yaml
new file mode 100644
index 0000000..58c45a7
--- /dev/null
+++ b/.zuul.yaml
@@ -0,0 +1,11 @@
+---
+- project:
+    check:
+      jobs:
+        - tmt-test:
+            vars:
+              tmt_url: "https://pagure.io/{{ zuul.project.name }}"
+              tmt_ref: "{{ zuul.ref }}"
+              distro: fedora-rawhide
+              compose: Fedora-Rawhide
+              tf_arch: aarch64
diff --git a/plans/build.fmf b/plans/build.fmf
new file mode 100644
index 0000000..c381cac
--- /dev/null
+++ b/plans/build.fmf
@@ -0,0 +1,8 @@
+summary: Build image
+execute:
+    how: tmt
+    script:
+      - whoami
+      - find /dev
+      - uname -a
+      - cat /etc/os-release

From f4c03e55a661cbb8a894eaa26754dca390e4e1b3 Mon Sep 17 00:00:00 2001
From: Miroslav Vadkerti <mvadkert@redhat.com>
Date: Oct 25 2023 13:38:51 +0000
Subject: [PATCH 2/2] Showcase 5 parallel builds on each 2 arches


Signed-off-by: Miroslav Vadkerti <mvadkert@redhat.com>

---

diff --git a/.zuul.yaml b/.zuul.yaml
index 58c45a7..b612aa9 100644
--- a/.zuul.yaml
+++ b/.zuul.yaml
@@ -1,11 +1,26 @@
 ---
+- job:
+    name: build-rawhide-x86_64
+    parent: tmt-test
+    vars: 
+      tmt_url: "https://pagure.io/{{ zuul.project.name }}"
+      tmt_ref: "{{ zuul.ref }}"
+      distro: fedora-rawhide
+      compose: Fedora-Rawhide
+      tf_arch: x86_64
+
+- job:
+    name: build-f38-aarch64
+    parent: tmt-test
+    vars:
+      tmt_url: "https://pagure.io/{{ zuul.project.name }}"
+      tmt_ref: "{{ zuul.ref }}"
+      distro: fedora-38
+      compose: Fedora-38
+      tf_arch: aarch64 
+
 - project:
-    check:
-      jobs:
-        - tmt-test:
-            vars:
-              tmt_url: "https://pagure.io/{{ zuul.project.name }}"
-              tmt_ref: "{{ zuul.ref }}"
-              distro: fedora-rawhide
-              compose: Fedora-Rawhide
-              tf_arch: aarch64
+   check:
+    jobs:
+      - build-rawhide-x86_64
+      - build-f38-aarch64
diff --git a/plans/build-1.fmf b/plans/build-1.fmf
new file mode 100644
index 0000000..30be5d7
--- /dev/null
+++ b/plans/build-1.fmf
@@ -0,0 +1,12 @@
+summary: Build image
+discover:
+    how: shell
+    tests:
+      - name: build 1
+        test: |
+          arch
+          echo Build 1
+
+execute:
+    how: tmt
+
diff --git a/plans/build-2.fmf b/plans/build-2.fmf
new file mode 100644
index 0000000..c95976c
--- /dev/null
+++ b/plans/build-2.fmf
@@ -0,0 +1,12 @@
+summary: Build image
+discover:
+    how: shell
+    tests:
+      - name: build 2
+        test: |
+          arch
+          echo Build 2
+
+execute:
+    how: tmt
+
diff --git a/plans/build-3.fmf b/plans/build-3.fmf
new file mode 100644
index 0000000..bc756c5
--- /dev/null
+++ b/plans/build-3.fmf
@@ -0,0 +1,12 @@
+summary: Build image
+discover:
+    how: shell
+    tests:
+      - name: build 3
+        test: |
+          arch
+          echo Build 3
+
+execute:
+    how: tmt
+
diff --git a/plans/build-4.fmf b/plans/build-4.fmf
new file mode 100644
index 0000000..9b1947b
--- /dev/null
+++ b/plans/build-4.fmf
@@ -0,0 +1,12 @@
+summary: Build image
+discover:
+    how: shell
+    tests:
+      - name: build 4
+        test: |
+          arch
+          echo Build 4
+
+execute:
+    how: tmt
+
diff --git a/plans/build-5.fmf b/plans/build-5.fmf
new file mode 100644
index 0000000..de84107
--- /dev/null
+++ b/plans/build-5.fmf
@@ -0,0 +1,12 @@
+summary: Build image
+discover:
+    how: shell
+    tests:
+      - name: build 5
+        test: |
+          arch
+          echo Build 5
+
+execute:
+    how: tmt
+
diff --git a/plans/build.fmf b/plans/build.fmf
deleted file mode 100644
index c381cac..0000000
--- a/plans/build.fmf
+++ /dev/null
@@ -1,8 +0,0 @@
-summary: Build image
-execute:
-    how: tmt
-    script:
-      - whoami
-      - find /dev
-      - uname -a
-      - cat /etc/os-release

